from django.db import models
from websites.models import Website


class Company(models.Model):
    name = models.CharField(max_length=200, verbose_name="企业名称")
    category = models.CharField(max_length=100, verbose_name="公司类别")
    size = models.CharField(max_length=50, verbose_name="公司规模")
    introduction = models.TextField(verbose_name="企业介绍")
    address = models.CharField(max_length=300, verbose_name="企业地址")
    benefits = models.TextField(blank=True, verbose_name="企业福利")
    website = models.ForeignKey(
        Website,
        on_delete=models.CASCADE,
        related_name="companies",
        verbose_name="隶属网站"
    )

    def __str__(self):
        return self.name

    class Meta:
        verbose_name = "企业"
        verbose_name_plural = "企业列表"
